---
title: 'Window: clipboardchange event'
slug: Web/API/Window/clipboardchange_event
tags:
  - API
  - Clipboard API
  - Reference
  - clipboardchange
  - events
---
<p>{{APIRef}}{{seecompattable}}</p>

<p>The <strong><code>clipboardchange</code></strong> event fires when the system clipboard content changes.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{DOMxRef("ClipboardEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>None</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">window.addEventListener('clipboardchange', () =&gt; {
  console.log('Clipboard contents changed');
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('Clipboard API', "#clipboard-event-clipboardchange", "clipboardchange event")}}</td>
   <td>{{Spec2('Clipboard API')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.clipboardchange_event")}}</p>
